# Class TranscriptSet

java.lang.Object
org.snpeff.spliceSites.TranscriptSet

All Implemented Interfaces:
  `Iterable<Transcript>`

public class TranscriptSet extends Object implements Iterable<Transcript>
A set of transcripts

Author:
  pablocingolani

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`MAX_TRANSCRIPTS_PER_GENE`

## Constructor Summary

Constructors
Constructor
Description
`TranscriptSet(Genome genome)`

## Method Summary

Modifier and Type
Method
Description
`void`
`filter()`
Filter out "bad transcripts"
`List<Transcript>`
`getByChromo(String chrName)`
`Iterator<Transcript>`
`iterator()`
`void`
`setDebug(boolean debug)`
`void`
`setVerbose(boolean verbose)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface Iterable

`forEach, spliterator`

## Field Details

### MAX_TRANSCRIPTS_PER_GENE

public static final int MAX_TRANSCRIPTS_PER_GENE

See Also:
  - Constant Field Values

## Constructor Details

### TranscriptSet

public TranscriptSet(Genome genome)

## Method Details

### filter

public void filter()
Filter out "bad transcripts"

### getByChromo

public List<Transcript> getByChromo(String chrName)

### iterator

public Iterator<Transcript> iterator()

Specified by:
  `iterator` in interface `Iterable<Transcript>`

### setDebug

public void setDebug(boolean debug)

### setVerbose

public void setVerbose(boolean verbose)